#include <Servo.h> // this program uses the Servo library
// motory
Servo Lavy_motor;
Servo Pravy_motor;
// nastavenie motorov
#define FAST   40
#define SLOW   1
#define Frekvencia 10   //sampling frequency in Hz (cycles per second)
#define AnalogPINRight 5

#define LED_Yellow  13   // select the pin for the green LED
#define SENSOR_1     2
#define SENSOR_2     3

int pos = 0;            // variable to store the servo position 
int val_sens_1 = 0;
int val_sens_2 = 0;
int val_infra_1 = 0; //IR
int val_infra_12 = 0; //IR
long Threshold_s1 = 0;           // variable to store the value coming from the sensor
long Threshold_s2 = 0;
byte SensorState = B0000; 
int Pocitadlo = 0;
int mDelay;
String Vypis;
String Mapa;
String CelaMapa;//toto je cela mapa cisla po sebe (vzdialenosti)
int Skreslena_vzdialenost;
void setup() 
{ 
  pinMode(LED_Yellow, OUTPUT);    // declare this pin as an OUTPUT
  Lavy_motor.attach(9);
  Pravy_motor.attach(10);
  Serial.begin(9600);

  Serial.println("Test started   \n");
  delay(1000);
  Pocitadlo = 1000;
  /////////////IR//////////////////
  mDelay = 1000/Frekvencia; 
  ///////////////IR/////////////////
} 
 
 
void loop() 
{ 
  val_sens_1 = analogRead(SENSOR_1);     // read the value from the sensor
  val_sens_2 = analogRead(SENSOR_2);
   
  val_infra_1 = analogRead(AnalogPINRight); // IR right
  
  Lavy_motor.write(90 - SLOW);    
  Pravy_motor.write(90 + SLOW);           
  
         
  if (val_sens_1 > 200) {
   Lavy_motor.write(90+SLOW);
   Pravy_motor.write(90+SLOW);
   delay(800);
   Lavy_motor.write(90 - SLOW);  
   Pravy_motor.write(90 + SLOW); 
   delay(500);
  }

  if (val_sens_2 > 200) {
   Pravy_motor.write(90-SLOW);
   Lavy_motor.write(90-SLOW);
   delay(800);
   Lavy_motor.write(90 - SLOW); 
   Pravy_motor.write(90 + SLOW); 
   delay(500);
  }
  
  if ( Pocitadlo == 1000) {
     
    Pocitadlo = 0;
     Skreslena_vzdialenost = val_infra_1 / 80;
     if (Skreslena_vzdialenost < 10) {
       CelaMapa += String( 10 - Skreslena_vzdialenost, DEC); //sem si ukladam celu mapu do stringu
       CelaMapa += String( " ");
       Mapa = String("");
       for (int i = 0; i < 10-Skreslena_vzdialenost +1;i++){
         Mapa += String("      ");
       }
       Mapa += String( "|");
         Serial.print(Mapa);
         Serial.println( "");
       
//       Serial.print(CelaMapa);
//       Serial.println("");
       
       
     }
  }
 
  
 Pocitadlo = Pocitadlo + 1;
 ///////////////printy //////////////////
//  delay(mDelay); //delay in milliseconds
//  Serial.print( val_infra_1, DEC); //reads the analog port and prints value over serial
//  Serial.print("Lavy infra =");
//
//  Serial.print("Sensor lavy = ");  
//  Serial.println(val_sens_1, DEC);
//  Serial.print("Sensor pravy = ");  
//  Serial.println(val_sens_2, DEC);  

 ///////////////printy //////////////////
  
}   /* End of Loop */
